apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: allow-within-namespace
spec:
  podSelector: {} # Applies to all pods in this namespace
  egress:
  - to:
      - namespaceSelector: {} # Matches all namespaces
        podSelector: {}       # Matches all pods
